#include "proxywidgetdemo.h"
#include "ui_proxywidgetdemo.h"

#include <QPainter>

ProxyWidgetDemo::ProxyWidgetDemo( QWidget* parent ) :
    QWidget( parent ),
    ui( new Ui::ProxyWidgetDemo ) {
    ui->setupUi( this );

    connect( ui->lbProxyMode, SIGNAL( linkActivated( QString ) ), SLOT( onHyper( QString ) ) );
}

ProxyWidgetDemo::~ProxyWidgetDemo() {
    delete ui;
}

void ProxyWidgetDemo::resizeEvent( QResizeEvent* ) {
    if( ui->stackedWidget->currentWidget() == ui->page_Passive ) {
        onHyper( "show-active" );
        onHyper( "show-passive" );
    }
}

void ProxyWidgetDemo::onHyper( const QString& href ) {

    if( href == "show-active" ) {
        ui->lbProxyView->clear();
        ui->stackedWidget->setCurrentWidget( ui->page_Active );
    } else if( href == "show-passive" ) {
        QPixmap pix = QPixmap::grabWidget( ui->page_Active );
        QImage proxyImg( pix.size(), QImage::Format_ARGB32 );
        QPainter p;
        p.begin( &proxyImg );
        p.drawPixmap( 0, 0, pix );
        p.fillRect( proxyImg.rect(), QColor( 0, 0, 0, 130 ) );
        p.end();
        ui->lbProxyView->setPixmap( QPixmap::fromImage( proxyImg ) );
        ui->stackedWidget->setCurrentWidget( ui->page_Passive );
    }
}
